* {
  box-sizing: border-box;
}

body {
  margin: 0;
  padding: 0;
  background-color: #34495e;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100vh;
  overflow: hidden;
}

.container {
  width: 800px;
  height: 800px;
  border-radius: 50%;
  border: 15px solid #ffc418;
  position: relative;
  overflow: hidden;
  transition: 5s;
  box-shadow: 0 0 60px rgba(255, 196, 24, 0.5);
}

.container div {
  height: 50%;
  width: 156px;
  position: absolute;
  clip-path: polygon(100% 0, 50% 100%, 0 0);
  transform: translateX(-50%);
  transform-origin: bottom;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 25px;
  font-weight: bold;
  font-family: sans-serif;
  color: #fff;
  left: 308px;
  text-shadow: 0 0 5px #fff, 0 0 2px #fff;
}

.container > div > span {
  display: inline-block;
  transform: rotate(-90deg);
  white-space: nowrap;
  margin-bottom: 150px;
}
.container .one {
  background-color: #ba1919;
  left: 50%;
}
.container .two {
  background-color: #00000f;
  transform: rotate(22.5deg);
}
.container .three {
  background-color: #ba1919;
  transform: rotate(45deg);
}
.container .four {
  background-color: #00000f;
  transform: rotate(67.5deg);
}
.container .five {
  background-color: #ba1919;
  transform: rotate(90deg);
}
.container .six {
  background-color: #00000f;
  transform: rotate(112.5deg);
}
.container .seven {
  background-color: #ba1919;
  transform: rotate(135deg);
}
.container .eight {
  background-color: #00000f;
  transform: rotate(157.5deg);
}
.container .nine {
  background-color: #ba1919;
  transform: rotate(180deg);
}
.container .ten {
  background-color: #00000f;
  transform: rotate(202.5deg);
}
.container .eleven {
  background-color: #ba1919;
  transform: rotate(225deg);
}
.container .twelve {
  background-color: #00000f;
  transform: rotate(247.5deg);
}
.container .thirteen {
  background-color: #ba1919;
  transform: rotate(270deg);
}
.container .fourteen {
  background-color: #00000f;
  transform: rotate(292.5deg);
}
.container .fifteen {
  background-color: #ba1919;
  transform: rotate(315deg);
}
.container .sixteen {
  background-color: #00000f;
  transform: rotate(337deg);
}

.arrow-container {
  position: absolute;
  width: 770px;
  height: 770px;
  border-radius: 50%;
  overflow: hidden;
  top: 95px;
}

.arrow {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  background-color: #ffc418;
  z-index: 9999;
  width: 60px;
  height: 100px;
  clip-path: polygon(100% 0, 50% 40%, 0 0);
}

#spin {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 10;
  background-color: #00000f;
  text-transform: uppercase;
  border: 8px solid #ffc418;
  forn-weight: bold;
  font-size: 20px;
  color: white;
  width: 80px;
  height: 80px;
  font-family: sans-serif;
  border-radius: 50%;
  cursor: pointer;
  outline: none;
  letter-spacing: 1px;
  text-shadow: 0 0 5px #fff, 0 0 10px #fff;
}

#winnings {
  background-color: #00000f;
  position: absolute;
  right: 80px;
  top: 50px;
  text-align: center;
  justify-content: center;
  padding: 20px 90px;
  border-radius: 20px;
  font-size: 70px;
  letter-spacing: 3px;
  border: 15px solid;
  border-color: #ffc418;
  color: #fff;
  text-shadow: 0 0 5px #fff, 0 0 10px #fff;
  box-shadow: 0 0 60px rgba(255, 196, 24, 0.5);
}
